
local GOBBO_WARRIOR = Bot.Template("GOBBO_WARRIOR", "KYRMIR_GOBBO_WARRIOR"); 

GOBBO_WARRIOR.setLevel(0);
GOBBO_WARRIOR.setMagicLevel(0);

GOBBO_WARRIOR.setHealth(125);
GOBBO_WARRIOR.setRespawnTime(175)

GOBBO_WARRIOR.setDamage(DAMAGE_EDGE, 120);

GOBBO_WARRIOR.setProtection(DAMAGE_EDGE, 0);
GOBBO_WARRIOR.setProtection(DAMAGE_BLUNT, 500);
GOBBO_WARRIOR.setProtection(DAMAGE_FIRE, 0);
GOBBO_WARRIOR.setProtection(DAMAGE_MAGIC, 20);
GOBBO_WARRIOR.setProtection(DAMAGE_POINT, 30);

// Fight system
GOBBO_WARRIOR.setWarnTime(6);
GOBBO_WARRIOR.setHitDistance(120);
GOBBO_WARRIOR.setChaseDistance(1800);
GOBBO_WARRIOR.setDetectionDistance(1200);
GOBBO_WARRIOR.setAttackSpeed(2100);

GOBBO_WARRIOR.setInitiativeFunction(STANDARD_ANIMAL_AI);

GOBBO_WARRIOR.setRoutineFunction(function(bot)
{
    if(bot.getLastAni() != null) return;

    switch(random(0, 3))
    {
        case 0: bot.playAni("R_ROAM1"); break;				
        case 1: bot.playAni("R_ROAM2"); break;
        case 2: bot.playAni("R_ROAM3"); break;
        case 3: bot.playAni("T_PERCEPTION"); break;	
    }

    bot.setAngle(rand() % 360);
});

registerMonsterTemplate("KYRMIR_GOBBO_WARRIOR", GOBBO_WARRIOR);

// Drop
registerMonsterReward("KYRMIR_GOBBO_WARRIOR", Reward.Content(200)
    .addDrop(Reward.Drop("ITMI_GOLD", 100, 100))
);

// Spawnlist
spawnBot(GOBBO_WARRIOR, -5468, -2532, 25727, "ADDONWORLD.ZEN");
spawnBot(GOBBO_WARRIOR, -1683, -2772, 13597, "ADDONWORLD.ZEN");
spawnBot(GOBBO_WARRIOR, -21694, -4101, -10315, "ADDONWORLD.ZEN");
spawnBot(GOBBO_WARRIOR, -21014, -3481, -11303, "ADDONWORLD.ZEN");
spawnBot(GOBBO_WARRIOR, -18983, -3855, -22265, "ADDONWORLD.ZEN");
spawnBot(GOBBO_WARRIOR, -19186, -3831, -22467, "ADDONWORLD.ZEN");
spawnBot(GOBBO_WARRIOR, -11249, -3340, -24774, "ADDONWORLD.ZEN");
spawnBot(GOBBO_WARRIOR, -11795, -3342, -24880, "ADDONWORLD.ZEN");
spawnBot(GOBBO_WARRIOR, -11436, -3342, -24714, "ADDONWORLD.ZEN");
spawnBot(GOBBO_WARRIOR, -9197, -4994, -21065, "ADDONWORLD.ZEN");
spawnBot(GOBBO_WARRIOR, -9116, -5027, -20798, "ADDONWORLD.ZEN");
spawnBot(GOBBO_WARRIOR, -9773, -3576, -24546, "ADDONWORLD.ZEN");
spawnBot(GOBBO_WARRIOR, -9401, -3776, -23679, "ADDONWORLD.ZEN");
spawnBot(GOBBO_WARRIOR, -14626, -2830, -21603, "ADDONWORLD.ZEN");
spawnBot(GOBBO_WARRIOR, -14381, -2879, -21406, "ADDONWORLD.ZEN");
spawnBot(GOBBO_WARRIOR, 13946, -4730, -2095, "ADDONWORLD.ZEN");
spawnBot(GOBBO_WARRIOR, 10401, -5108, 11629, "ADDONWORLD.ZEN");
spawnBot(GOBBO_WARRIOR, 10487, -5114, 11740, "ADDONWORLD.ZEN");
spawnBot(GOBBO_WARRIOR, 9306, -3637, 19185, "ADDONWORLD.ZEN");
spawnBot(GOBBO_WARRIOR, 8542, -3631, 19332, "ADDONWORLD.ZEN");
spawnBot(GOBBO_WARRIOR, -17654, -618, -4989, "ADDONWORLD.ZEN");
spawnBot(GOBBO_WARRIOR, -16964, -500, -6040, "ADDONWORLD.ZEN");
spawnBot(GOBBO_WARRIOR, 8509, -2308, 15198, "ADDONWORLD.ZEN");

spawnBot(GOBBO_WARRIOR, 47706.6, -3677.31, -29702.1, "COLONY.ZEN");
spawnBot(GOBBO_WARRIOR, -17061, 3768.35, 32318.6, "COLONY.ZEN");
spawnBot(GOBBO_WARRIOR, -16864, 3774.38, 32529.8, "COLONY.ZEN");
spawnBot(GOBBO_WARRIOR, -16833, 3786.22, 32253, "COLONY.ZEN");
spawnBot(GOBBO_WARRIOR, -17462, 3710.18, 33441.9, "COLONY.ZEN");
spawnBot(GOBBO_WARRIOR, -17392, 3715.28, 33441.9, "COLONY.ZEN");
spawnBot(GOBBO_WARRIOR, -17289, 3723.44, 33419.5, "COLONY.ZEN");
spawnBot(GOBBO_WARRIOR, -18339, 3697.35, 32737.1, "COLONY.ZEN");
spawnBot(GOBBO_WARRIOR, -17142.7, 3683.8, 35491.4, "COLONY.ZEN");
spawnBot(GOBBO_WARRIOR, -17305.7, 3683.8, 35408.4, "COLONY.ZEN");
spawnBot(GOBBO_WARRIOR, -20009, 3685.45, 33271.4, "COLONY.ZEN");
spawnBot(GOBBO_WARRIOR, 22229, 971.09, -24037.2, "COLONY.ZEN");
spawnBot(GOBBO_WARRIOR, 22174, 971.454, -24120.6, "COLONY.ZEN");
spawnBot(GOBBO_WARRIOR, 19083, 1056.27, -27673, "COLONY.ZEN");
spawnBot(GOBBO_WARRIOR, 34578.3, -3219.86, 14480.3, "COLONY.ZEN");